Page MenuHomePhabricator

Link dialog should trim spaces from start and end of URL
Closed, ResolvedPublic

Description

Author: wikibugs

Description:
Wiki_2010-05-13__Opera_InsertExLinks.pdf

Reporting against Babaco Release : r66321
Tested link :http://prototype.wikimedia.org/en.wikipedia.org/Main_Page

Steps to Reproduce ::

  1. insert www.google.com in the link Target Page
  2. click on insert

<<text create as

[http://www.google.com%20 www.google.com ]

  1. When click on the link after preview, it's not redirecting to the correct page

Expected Outcome::
When click on the link shows in preview should re-direct to the correct page

Test Environment::
Opera/9.80 (Windows NT 6.1; U; en) Presto/2.2.15 Version/10.00


Version: unspecified
Severity: enhancement

Attached:

Details

Reference
bz23499
Related Gerrit Patches:
mediawiki/extensions/WikiEditor : masterInsert link: trim whitespace from the external link

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 11:00 PM
bzimport added a project: WikiEditor.
bzimport set Reference to bz23499.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.May 13 2010, 9:15 AM

You seem to have added a space at the end of the URL, updating summary accordingly. Could you try if Opera works without that space?

Change 196966 had a related patch set uploaded (by TheDJ):
Insert link: trim whitespace from the external link

https://gerrit.wikimedia.org/r/196966

Change 196966 merged by jenkins-bot:
Insert link: trim whitespace from the external link

https://gerrit.wikimedia.org/r/196966

matmarex closed this task as Resolved.Mar 16 2015, 11:00 AM
matmarex assigned this task to TheDJ.
matmarex removed a project: Patch-For-Review.
matmarex set Security to None.
matmarex removed subscribers: gerritbot, Unknown Object (MLST).
GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:42 AM